import 'package:diplomaticquarterapp/core/viewModels/pharmacyModule/OrderPreviewViewModel.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/buttons/GestureIconButton.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class OrderPreviewPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<OrderPreviewViewModel>(
      builder: (_, model, wi) => AppScaffold(
        title: "Shopping Cart",
        isShowAppBar: true,
        isShowDecPage: false,
        baseViewModel: model,
        backgroundColor: Colors.white,
        body: Container(
          width: double.infinity,
          child: SingleChildScrollView(
            child: Container(
              margin: EdgeInsets.all(10),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  GestureIconButton(
                    TranslationBase.of(context).deleteAllItems,
                    Icon(Icons.delete_outline_sharp, color: Colors.grey.shade800,),
                    onTap: () => {},
                  ),
                  const Divider(
                    color: Colors.grey,
                    height: 20,
                    thickness: 1,
                    indent: 0,
                    endIndent: 0,
                  ),

                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}

